package org.jboss.security.ssl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.UnknownHostException;
import java.rmi.server.RMIServerSocketFactory;
import org.jboss.security.SecurityDomain;
import org.jboss.security.ssl.DomainServerSocketFactory;

public class RMISSLServerSocketFactory implements RMIServerSocketFactory {
  private DomainServerSocketFactory domainFactory = new DomainServerSocketFactory();
  
  public String getBindAddress() {
    return this.domainFactory.getBindAddress();
  }
  
  public void setBindAddress(String host) throws UnknownHostException {
    this.domainFactory.setBindAddress(host);
  }
  
  public SecurityDomain getSecurityDomain() {
    return this.domainFactory.getSecurityDomain();
  }
  
  public void setSecurityDomain(SecurityDomain securityDomain) {
    this.domainFactory.setSecurityDomain(securityDomain);
  }
  
  public boolean isWantsClientAuth() {
    return this.domainFactory.isWantsClientAuth();
  }
  
  public void setWantsClientAuth(boolean wantsClientAuth) {
    this.domainFactory.setWantsClientAuth(wantsClientAuth);
  }
  
  public boolean isNeedsClientAuth() {
    return this.domainFactory.isNeedsClientAuth();
  }
  
  public void setNeedsClientAuth(boolean needsClientAuth) {
    this.domainFactory.setNeedsClientAuth(needsClientAuth);
  }
  
  public String[] getCiperSuites() {
    return this.domainFactory.getCiperSuites();
  }
  
  public void setCiperSuites(String[] ciperSuites) {
    this.domainFactory.setCiperSuites(ciperSuites);
  }
  
  public String[] getProtocols() {
    return this.domainFactory.getProtocols();
  }
  
  public void setProtocols(String[] protocols) {
    this.domainFactory.setProtocols(protocols);
  }
  
  public ServerSocket createServerSocket(int port) throws IOException {
    return this.domainFactory.createServerSocket(port);
  }
  
  public boolean equals(Object obj) {
    return obj instanceof org.jboss.security.ssl.RMISSLServerSocketFactory;
  }
  
  public int hashCode() {
    return getClass().getName().hashCode();
  }
}
